<?php

/**
 * Header Options
 *
 * @package burger_joint
 */


// ---------------------------------------- GENERAL OPTIONBS ----------------------------------------------------


// ---------------------------------------- PRELOADER ----------------------------------------------------\

$wp_customize->add_section(
	'burger_joint_general_options',
	array(
		'panel' => 'burger_joint_theme_options',
		'title' => esc_html__( 'General Options', 'burger-joint' ),
	)
);


// Add Separator Custom Control
$wp_customize->add_setting( 'burger_joint_preloader_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Burger_Joint_Separator_Custom_Control( $wp_customize, 'burger_joint_preloader_separator', array(
	'label' => __( 'Enable / Disable Site Preloader Section', 'burger-joint' ),
	'section' => 'burger_joint_general_options',
	'settings' => 'burger_joint_preloader_separator',
) ) );

// General Options - Enable Preloader.
$wp_customize->add_setting(
	'burger_joint_enable_preloader',
	array(
		'sanitize_callback' => 'burger_joint_sanitize_switch',
		'default'           => false,
	)
);

$wp_customize->add_control(
	new Burger_Joint_Toggle_Switch_Custom_Control(
		$wp_customize,
		'burger_joint_enable_preloader',
		array(
			'label'   => esc_html__( 'Enable Preloader', 'burger-joint' ),
			'section' => 'burger_joint_general_options',
		)
	)
);

// Preloader Style Setting
$wp_customize->add_setting(
    'burger_joint_preloader_style',
    array(
        'default'           => 'style1',
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control(
    'burger_joint_preloader_style',
    array(
        'type'     => 'select',
        'label'    => esc_html__('Select Preloader Styles', 'burger-joint'),
		'active_callback' => 'burger_joint_is_preloader_style',
        'section'  => 'burger_joint_general_options',
        'choices'  => array(
            'style1' => esc_html__('Style 1', 'burger-joint'),
            'style2' => esc_html__('Style 2', 'burger-joint'),
            'style3' => esc_html__('Style 3', 'burger-joint'),
        ),
    )
);

// Preloader Background Color Setting
$wp_customize->add_setting(
	'burger_joint_preloader_background_color_setting',
	 array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize, 'burger_joint_preloader_background_color_setting', 
		array(
			'label' => __('Preloader Background Color', 'burger-joint'),
			'active_callback' => 'burger_joint_is_preloader_style',
			'section' => 'burger_joint_general_options',
		)
	)
);

// Preloader Background Image Setting
$wp_customize->add_setting(
	'burger_joint_preloader_background_image_setting', 
	array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	new WP_Customize_Image_Control(
		$wp_customize, 'burger_joint_preloader_background_image_setting',
		 array(
			'label' => __('Preloader Background Image', 'burger-joint'),
			'active_callback' => 'burger_joint_is_preloader_style',
			'section' => 'burger_joint_general_options',
		)
	)
);

// ---------------------------------------- PAGINATION ----------------------------------------------------


// Add Separator Custom Control
$wp_customize->add_setting( 'burger_joint_pagination_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Burger_Joint_Separator_Custom_Control( $wp_customize, 'burger_joint_pagination_separator', array(
	'label' => __( 'Enable / Disable Pagination Section', 'burger-joint' ),
	'section' => 'burger_joint_general_options',
	'settings' => 'burger_joint_pagination_separator',
) ) );


// Pagination - Enable Pagination.
$wp_customize->add_setting(
	'burger_joint_enable_pagination',
	array(
		'default'           => true,
		'sanitize_callback' => 'burger_joint_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Burger_Joint_Toggle_Switch_Custom_Control(
		$wp_customize,
		'burger_joint_enable_pagination',
		array(
			'label'    => esc_html__( 'Enable Pagination', 'burger-joint' ),
			'section'  => 'burger_joint_general_options',
			'settings' => 'burger_joint_enable_pagination',
			'type'     => 'checkbox',
		)
	)
);

// Pagination - Pagination Type.
$wp_customize->add_setting(
	'burger_joint_pagination_type',
	array(
		'default'           => 'default',
		'sanitize_callback' => 'burger_joint_sanitize_select',
	)
);

$wp_customize->add_control(
	'burger_joint_pagination_type',
	array(
		'label'           => esc_html__( 'Pagination Type', 'burger-joint' ),
		'section'         => 'burger_joint_general_options',
		'settings'        => 'burger_joint_pagination_type',
		'active_callback' => 'burger_joint_is_pagination_enabled',
		'type'            => 'select',
		'choices'         => array(
			'default' => __( 'Default (Older/Newer)', 'burger-joint' ),
			'numeric' => __( 'Numeric', 'burger-joint' ),
		),
	)
);


// ---------------------------------------- BREADCRUMB ----------------------------------------------------

// Add Separator Custom Control
$wp_customize->add_setting( 'burger_joint_breadcrumb_separators', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Burger_Joint_Separator_Custom_Control( $wp_customize, 'burger_joint_breadcrumb_separators', array(
	'label' => __( 'Enable / Disable Breadcrumb Section', 'burger-joint' ),
	'section' => 'burger_joint_general_options',
	'settings' => 'burger_joint_breadcrumb_separators',
)));



// Breadcrumb - Enable Breadcrumb.
$wp_customize->add_setting(
	'burger_joint_enable_breadcrumb',
	array(
		'sanitize_callback' => 'burger_joint_sanitize_switch',
		'default'           => true,
	)
);

$wp_customize->add_control(
	new Burger_Joint_Toggle_Switch_Custom_Control(
		$wp_customize,
		'burger_joint_enable_breadcrumb',
		array(
			'label'   => esc_html__( 'Enable Breadcrumb', 'burger-joint' ),
			'section' => 'burger_joint_general_options',
		)
	)
);

// Breadcrumb - Separator.
$wp_customize->add_setting(
	'burger_joint_breadcrumb_separator',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default'           => '/',
	)
);

$wp_customize->add_control(
	'burger_joint_breadcrumb_separator',
	array(
		'label'           => esc_html__( 'Separator', 'burger-joint' ),
		'active_callback' => 'burger_joint_is_breadcrumb_enabled',
		'section'         => 'burger_joint_general_options',
	)
);



// ---------------------------------------- Website layout ----------------------------------------------------


// Add Separator Custom Control
$wp_customize->add_setting( 'burger_joint_layuout_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Burger_Joint_Separator_Custom_Control( $wp_customize, 'burger_joint_layuout_separator', array(
	'label' => __( 'Website Layout Setting', 'burger-joint' ),
	'section' => 'burger_joint_general_options',
	'settings' => 'burger_joint_layuout_separator',
)));


$wp_customize->add_setting(
	'burger_joint_website_layout',
	array(
		'sanitize_callback' => 'burger_joint_sanitize_switch',
		'default'           => false,
	)
);

$wp_customize->add_control(
	new Burger_Joint_Toggle_Switch_Custom_Control(
		$wp_customize,
		'burger_joint_website_layout',
		array(
			'label'   => esc_html__('Boxed Layout', 'burger-joint'),
			'section' => 'burger_joint_general_options',
		)
	)
);


$wp_customize->add_setting('burger_joint_layout_width_margin', array(
	'default'           => 50,
	'sanitize_callback' => 'absint', // Sanitize as an integer
	'transport'         => 'postMessage', // Enable live preview
));

$wp_customize->add_control(new WP_Customize_Control(
	$wp_customize,
	'burger_joint_layout_width_margin',
	array(
		'label'       => __('Set Width', 'burger-joint'),
		'description' => __('Adjust the width around the website layout by moving the slider. Use this setting to customize the appearance of your site to fit your design preferences.', 'burger-joint'),
		'section'     => 'burger_joint_general_options',
		'settings'    => 'burger_joint_layout_width_margin',
		'type'        => 'range',
		'active_callback' => 'burger_joint_is_layout_enabled',
		'input_attrs' => array(
			'min'  => 0,
			'max'  => 130,
			'step' => 1,
		),
	)
));


// ---------------------------------------- HEADER OPTIONS ----------------------------------------------------


// Header Options
$wp_customize->add_section(
	'burger_joint_header_options',
	array(
		'panel' => 'burger_joint_theme_options',
		'title' => esc_html__( 'Header Options', 'burger-joint' ),
	)
);


// Add setting for sticky header
$wp_customize->add_setting(
	'burger_joint_enable_sticky_header',
	array(
		'sanitize_callback' => 'burger_joint_sanitize_switch',
		'default'           => false,
	)
);

// Add control for sticky header setting
$wp_customize->add_control(
	new Burger_Joint_Toggle_Switch_Custom_Control(
		$wp_customize,
		'burger_joint_enable_sticky_header',
		array(
			'label'   => esc_html__( 'Enable Sticky Header', 'burger-joint' ),
			'section' => 'burger_joint_header_options',
		)
	)
);

// Banner Section - Enable Section.
$wp_customize->add_setting(
	'burger_joint_enable_header_search_section',
	array(
		'default'           => true,
		'sanitize_callback' => 'burger_joint_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Burger_Joint_Toggle_Switch_Custom_Control(
		$wp_customize,
		'burger_joint_enable_header_search_section',
		array(
			'label'    => esc_html__( 'Enable Search Section', 'burger-joint' ),
			'section'  => 'burger_joint_header_options',
			'settings' => 'burger_joint_enable_header_search_section',
		)
	)
);

// Header Section - Button Label.
$wp_customize->add_setting(
	'burger_joint_topheader_button_text',
	array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'burger_joint_topheader_button_text',
	array(
		'label'           => esc_html__( 'Button Label', 'burger-joint'  ),
		'section'         => 'burger_joint_header_options',
		'settings'        => 'burger_joint_topheader_button_text',
		'type'            => 'text',
	)
);

// Header Section - Button Link.
$wp_customize->add_setting(
	'burger_joint_topheader_button_url',
	array(
		'default'           => '',
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	'burger_joint_topheader_button_url',
	array(
		'label'           => esc_html__( 'Button Link', 'burger-joint' ),
		'section'         => 'burger_joint_header_options',
		'settings'        => 'burger_joint_topheader_button_url',
		'type'            => 'url',
	)
);

// Topbar Section - Topbar Text Label.
$wp_customize->add_setting(
	'burger_joint_email_topbar_text',
	array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'burger_joint_email_topbar_text',
	array(
		'label'           => esc_html__( 'Topbar Text', 'burger-joint'  ),
		'section'         => 'burger_joint_header_options',
		'settings'        => 'burger_joint_email_topbar_text',
		'type'            => 'text',
	)
);

// Topbar Section - Topbar Mail icon.
$wp_customize->add_setting(
    'burger_joint_address_icon',
    array(
        'default' => 'fas fa-envelope', // Set default icon here
        'sanitize_callback' => 'sanitize_text_field',
        'capability' => 'edit_theme_options',
    )
);

$wp_customize->add_control(new Burger_Joint_Change_Icon_Control(
    $wp_customize, 
    'burger_joint_address_icon',
    array(
        'label'    => __('Topbar Email Icon','burger-joint'),
        'section'  => 'burger_joint_header_options',
        'iconset'  => 'fa',
    )
));


// Topbar Section - Topbar Location Label.
$wp_customize->add_setting(
	'burger_joint_phone_topbar_address',
	array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'burger_joint_phone_topbar_address',
	array(
		'label'           => esc_html__( 'Topbar Email', 'burger-joint'  ),
		'section'         => 'burger_joint_header_options',
		'settings'        => 'burger_joint_phone_topbar_address',
		'type'            => 'text',
	)
);

// Topbar Section - Topbar Location icon.
$wp_customize->add_setting(
    'burger_joint_location_header_icon',
    array(
        'default' => 'fas fa-map-marker-alt', // Set default icon here
        'sanitize_callback' => 'sanitize_text_field',
        'capability' => 'edit_theme_options',
    )
);

$wp_customize->add_control(new Burger_Joint_Change_Icon_Control(
    $wp_customize, 
    'burger_joint_location_header_icon',
    array(
        'label'    => __('Topbar Location Icon','burger-joint'),
        'section'  => 'burger_joint_header_options',
        'iconset'  => 'fa',
    )
));

// Topbar Section - Topbar Mail Label.
$wp_customize->add_setting(
	'burger_joint_email_topbar_address',
	array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'burger_joint_email_topbar_address',
	array(
		'label'           => esc_html__( 'Topbar Location', 'burger-joint'  ),
		'section'         => 'burger_joint_header_options',
		'settings'        => 'burger_joint_email_topbar_address',
		'type'            => 'text',
	)
);


// Add Separator Custom Control
$wp_customize->add_setting( 'burger_joint_menu_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Burger_Joint_Separator_Custom_Control( $wp_customize, 'burger_joint_menu_separator', array(
	'label' => __( 'Menu Settings', 'burger-joint' ),
	'section' => 'burger_joint_header_options',
	'settings' => 'burger_joint_menu_separator',
)));

$wp_customize->add_setting( 'burger_joint_menu_font_size', array(
    'default'           => 15,
    'sanitize_callback' => 'absint',
) );

// Add control for site title size
$wp_customize->add_control( 'burger_joint_menu_font_size', array(
    'type'        => 'number',
    'section'     => 'burger_joint_header_options',
    'label'       => __( 'Menu Font Size ', 'burger-joint' ),
    'input_attrs' => array(
        'min'  => 10,
        'max'  => 100,
        'step' => 1,
    ),
));

// Add setting for menu font weight
$wp_customize->add_setting('burger_joint_menu_font_weight', array(
    'default'           => '500',
    'sanitize_callback' => 'sanitize_text_field',
));

// Add control for menu font weight
$wp_customize->add_control('burger_joint_menu_font_weight', array(
    'type'     => 'select',
    'section'  => 'burger_joint_header_options', 
    'label'    => __('Menu Font Weight', 'burger-joint'),
    'choices'  => array(
		'100' => __('100','burger-joint'),
		'200' => __('200','burger-joint'),
		'300' => __('300','burger-joint'),
		'400' => __('400','burger-joint'),
		'500' => __('500','burger-joint'),
		'600' => __('600','burger-joint'),
		'700' => __('700','burger-joint'),
		'800' => __('800','burger-joint'),
		'900' => __('900','burger-joint'),
    ),
));

$wp_customize->add_setting( 'burger_joint_menu_text_transform', array(
    'default'           => 'capitalize', 
    'sanitize_callback' => 'sanitize_text_field',
) );

// Add control for menu text transform
$wp_customize->add_control( 'burger_joint_menu_text_transform', array(
    'type'     => 'select',
    'section'  => 'burger_joint_header_options',
    'label'    => __( 'Menu Text Transform', 'burger-joint' ),
    'choices'  => array(
        'none'       => __( 'None', 'burger-joint' ),
        'capitalize' => __( 'Capitalize', 'burger-joint' ),
        'uppercase'  => __( 'Uppercase', 'burger-joint' ),
        'lowercase'  => __( 'Lowercase', 'burger-joint' ),
    ),
) );

// Menu Text Color 
$wp_customize->add_setting(
	'burger_joint_menu_text_color', 
	array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize, 
		'burger_joint_menu_text_color', 
		array(
			'label' => __('Menu Color', 'burger-joint'),
			'section' => 'burger_joint_header_options',
		)
	)
);

// Sub Menu Text Color 
$wp_customize->add_setting(
	'burger_joint_sub_menu_text_color', 
	array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize, 
		'burger_joint_sub_menu_text_color', 
		array(
			'label' => __('Sub Menu Color', 'burger-joint'),
			'section' => 'burger_joint_header_options',
		)
	)
);

// ----------------------------------------SITE IDENTITY----------------------------------------------------


// Site Logo - Enable Setting.
$wp_customize->add_setting(
	'burger_joint_enable_site_logo',
	array(
		'default'           => true, // Default is to display the logo.
		'sanitize_callback' => 'burger_joint_sanitize_switch', // Sanitize using a custom switch function.
	)
);

$wp_customize->add_control(
	new Burger_Joint_Toggle_Switch_Custom_Control(
		$wp_customize,
		'burger_joint_enable_site_logo',
		array(
			'label'    => esc_html__( 'Enable Site Logo', 'burger-joint' ),
			'section'  => 'title_tagline', // Section to add this control.
			'settings' => 'burger_joint_enable_site_logo',
		)
	)
);

// Site Title - Enable Setting.
$wp_customize->add_setting(
	'burger_joint_enable_site_title_setting',
	array(
		'default'           => false,
		'sanitize_callback' => 'burger_joint_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Burger_Joint_Toggle_Switch_Custom_Control(
		$wp_customize,
		'burger_joint_enable_site_title_setting',
		array(
			'label'    => esc_html__( 'Enable Site Title', 'burger-joint' ),
			'section'  => 'title_tagline',
			'settings' => 'burger_joint_enable_site_title_setting',
		)
	)
);

// Tagline - Enable Setting.
$wp_customize->add_setting(
	'burger_joint_enable_tagline_setting',
	array(
		'default'           => false,
		'sanitize_callback' => 'burger_joint_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Burger_Joint_Toggle_Switch_Custom_Control(
		$wp_customize,
		'burger_joint_enable_tagline_setting',
		array(
			'label'    => esc_html__( 'Enable Tagline', 'burger-joint' ),
			'section'  => 'title_tagline',
			'settings' => 'burger_joint_enable_tagline_setting',
		)
	)
);	

$wp_customize->add_setting( 'burger_joint_site_title_size', array(
    'default'           => 30, // Default font size in pixels
    'sanitize_callback' => 'absint', // Sanitize the input as a positive integer
) );

// Add control for site title size
$wp_customize->add_control( 'burger_joint_site_title_size', array(
    'type'        => 'number',
    'section'     => 'title_tagline', // You can change this section to your preferred section
    'label'       => __( 'Site Title Font Size ', 'burger-joint' ),
    'input_attrs' => array(
        'min'  => 10,
        'max'  => 100,
        'step' => 1,
    ),
) );

$wp_customize->add_setting('burger_joint_site_logo_width', array(
    'default'           => 200,
    'sanitize_callback' => 'burger_joint_sanitize_range_value',
));

$wp_customize->add_control(new Burger_Joint_Customize_Range_Control($wp_customize, 'burger_joint_site_logo_width', array(
    'label'       => __('Adjust Site Logo Width', 'burger-joint'),
    'description' => __('This setting controls the Width of Site Logo', 'burger-joint'),
    'section'     => 'title_tagline',
    'settings'    => 'burger_joint_site_logo_width',
    'input_attrs' => array(
        'min'  => 0,
        'max'  => 400,
        'step' => 5,
    ),
)));

// ---------------------------------------- ANIMATION ----------------------------------------------------

$wp_customize->add_setting( 'burger_joint_animation_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );
$wp_customize->add_control( new Burger_Joint_Separator_Custom_Control( $wp_customize, 'burger_joint_animation_separator', array(
	'label' => __( 'Enable / Disable Animation', 'burger-joint' ),
	'section' => 'burger_joint_general_options',
	'settings' => 'burger_joint_animation_separator',
) ) );
// Animation Enable / Disable
$wp_customize->add_setting('burger_joint_enable_animation',array(
		'default'           => true,
		'sanitize_callback' => 'burger_joint_sanitize_switch',
	)
);
$wp_customize->add_control(
	new Burger_Joint_Toggle_Switch_Custom_Control($wp_customize,'burger_joint_enable_animation',array(
			'label'   => esc_html__( 'Enable Animation', 'burger-joint' ),
			'section' => 'burger_joint_general_options',
		)
	)
);

// Topbar Padding Setting
$wp_customize->add_setting('burger_joint_topbar_padding',array(
		'default' => '',
		'sanitize_callback' => 'absint'
	)
);
$wp_customize->add_control('burger_joint_topbar_padding',array(
		'label' => __('Topbar Padding','burger-joint'),
		'section' => 'burger_joint_header_options',
		'type' => 'number',
		'input_attrs' => array(
			'min' => 0,
			'max' => 50,
			'step' => 1
		)
	)
);